# OpalParamRecording Struct Reference

`#include <opal.h>`

## Data Fields

const char * | m_callToken
| Call token for call being recorded.
const char * | m_file
unsigned | m_channels
const char * | m_audioFormat
const char * | m_videoFormat
unsigned | m_videoWidth
unsigned | m_videoHeight
unsigned | m_videoRate
OpalVideoRecordMixMode | m_videoMixing

## Detailed Description

Call recording information for the OpalCmdStartRecording command.

## Field Documentation

const char* OpalParamRecording::m_audioFormat

Audio recording format. This is generally an OpalMediaFormat name which will be used in the recording file. The exact values possible is dependent on many factors including the specific file type and what codecs are loaded as plug ins.

const char* OpalParamRecording::m_callToken

Call token for call being recorded.

unsigned OpalParamRecording::m_channels

Number of channels in WAV file, 1 for mono (default) or 2 for stereo where incoming & outgoing audio are in individual channels.

const char* OpalParamRecording::m_file

File to record into. If NULL then a test is done for if recording is currently active.

const char* OpalParamRecording::m_videoFormat

Video recording format. This is generally an OpalMediaFormat name which will be used in the recording file. The exact values possible is dependent on many factors including the specific file type and what codecs are loaded as plug ins.

unsigned OpalParamRecording::m_videoHeight

Height of image for recording video.

OpalVideoRecordMixMode OpalParamRecording::m_videoMixing

How the two images are saved in video recording.

unsigned OpalParamRecording::m_videoRate

Frame rate for recording video.

unsigned OpalParamRecording::m_videoWidth

Width of image for recording video.

The documentation for this struct was generated from the following file:

- opal.h